;The executed Music-data

.include "macrolib.s"

MUSICDATA ;---------------------------------------------------------------------

;Feature-Config
SIDINIT_SUPPORT   = 1 ;zeroes all SID-registers at init (stable pitch-low=0 and default $00 AttackDecay, no filter)
TRANSPOSE_SUPPORT = 1 ;allows transpose-change within Track (pattern-list)
ABSPITCH_SUPPORT  = 1 ;absolute (note/transpose-independent) pitch lookup in instrument-table (+waveform)
TRACKINS_SUPPORT  = 1 ;allows instrument-selection from Track (pattern-list)
PULSESWEEP_SUPPORT= 1 ;assign duration-counter to pulsewidth-lowbyte causing a slight pulse-sweep
BASSNOTE_SUPPORT  = 0 ;use 16 bit pitch (having more notes in bass range)
INITRETURN_SUPPORT= 1 ;have an RTS after initRoutine or let it do the 1st frame by passing through to playerRoutine
;ARPALONE_SUPPORT  = 0 ;1byte standalone arpeggio (relative pitch) in instrument-table (no waveform-change)

TEMPO = 10 ;frames per pattern-row


TRACKS

Track1 .byte TRA(0), INS(Solo), PAT(Solo2), PAT(Solo1), PAT(Solo1), PAT(Solo2), JMP(Track1b)
;Track1_end
;       .fill SID_CHANNEL_SPACING-(Track1_end-Track1), JMP(Track1)

Track2 .byte TRA(0), PAT(Chords), JMP(Track2)
Track1b .byte PAT(Solo2), JMP(Track1)
Track2_end
       .fill SID_CHANNEL_SPACING-(Track2_end-Track2), JMP(Track2)

Track3 .byte TRA(0), PAT(Rhythm), PAT(Rhythm), TRA(1), PAT(Rhythm), TRA(2), PAT(Rhythm), JMP(Track3)


PATTERNS

Solo1  .byte Dur(1), Note(E5),Note(C5),Note(E5),Note_(G5)
Solo2  .byte Dur(4), Note(D5),Note_(C5)

Chords .byte Ins(Chord1),Dur(8), Note(C5), Note(C5), Note(C5), Note_(C5)

Rhythm .byte Ins(KickBass),Dur(2),Note(C3), Ins(Snare),Dur(1),Note(0)
       .byte Ins(KickBass),Dur(2),Note(G2), Dur(1),Note(D3)
       .byte Ins(Snare),Dur(1),Note(0), Ins(KickBass),Note_(E3)


INSTRUMENTS

KickBass .byte Vol3($0F), SR($FA), PW($9), AbsWF($19,FF)
 NoiSquare .byte AbsWF($81,FF), AbsWF($41,G2), ArpWF_($40,$0)

Snare .byte SR($F8), AbsWF($19,FF), AbsWF($81,FF), AbsWF($41,E3), AbsWF_($80,FF)

Solo .byte SR($8C), PW($B), Jmp(NoiSquare)

Chord1 .byte SR($66), PW($E)
 MajArp .byte ArpWF($41,$0), ArpWF($41,$2), ArpWF($41,$4), Jmp(MajArp)

Instr4 .byte ArpWF_($00,$0)


FF = 0
G2 = 1
C3 = 2
D3 = 3
E3 = 4
G4 = 5
C5 = 6
D5 = 7
E5 = 8
F5 = 9
G5 = 10
A5 = 11


NoteTable ;     0    1    2    3    4    5    6    7    8    9    10   11
         .byte $FF,  g2,  c3,  d3,  e3,  g4,  c5,  d5,  e5,  f5,  g5,  a5

