;The executed Music-data

.include "macrolib.s"


MUSICDATA ;---------------------------------------------------------------------

;Feature-Config
SIDINIT_SUPPORT   = 1 ;zeroes all SID-registers at init (stable pitch-low=0 and default $00 AttackDecay, no filter)
TRANSPOSE_SUPPORT = 1 ;allows transpose-change within Track (pattern-list)
ABSPITCH_SUPPORT  = 1 ;absolute (note/transpose-independent) pitch lookup in instrument-table (+waveform)
TRACKINS_SUPPORT  = 0 ;allows instrument-selection from Track (pattern-list)
PULSESWEEP_SUPPORT= 1 ;assign duration-counter to pulsewidth-lowbyte causing a slight pulse-sweep
BASSNOTE_SUPPORT  = 1 ;use 16 bit pitch (having more notes in bass range)
INITRETURN_SUPPORT= 1 ;have an RTS after initRoutine or let it do the 1st frame by passing through to playerRoutine
;ARPALONE_SUPPORT  = 0 ;1byte standalone arpeggio (relative pitch) in instrument-table (no waveform-change)

TEMPO = 8 ;frames per pattern-row


TRACKS
PATTERNS=TRACKS

Track1 .byte TRA(0), PAT(Solo1), PAT(Solo2), PAT(Solo3), TRA(1), PAT(Solo1), JMP(Track1) ;b)
;Instr1 .byte ArpWF_(0,0) ;Default channel1 instrument-index after reset
;Track1_end
;       .fill SID_CHANNEL_SPACING-(Track1_end-Track1), JMP(Track1)

Track2 .byte TRA(0), PAT(Chords), JMP(Track2)
Chords .byte Dur(16), Ins(Arp), Note(C4)
 EmptyPattern .byte Note_(D4)
;Track2_end
;       .fill SID_CHANNEL_SPACING-(Track2_end-Track2), JMP(Track2)

Track3 .byte TRA(0), PAT(BassLine), PAT(BassLine), PAT(BassLine), PAT(BassLine)
       .byte TRA(1), PAT(BassLine),PAT(BassLine), TRA(2), PAT(BassLine),PAT(BassLine), JMP(Track3)


;Patterns
BassLine .byte Dur(4), Ins(Bass), Note(C3), Note(G2), Ins(Snare),Note(C3), Ins(Bass), Note_(F3)
Solo1 .byte Dur(8), Ins(Solo), Note(H4), Note(G4)
 Solo1b .byte Note(A4), Note_(F4)
Solo2 .byte Note(C4), Note_(G4)
Solo3 .byte Note(D4), Dur(4), Note(A4), Note_(H4)


INSTRUMENTS
Bass .byte Vol3($3F), Fil3($F4), SR($FA), AbsWF($81,H6), AbsWF($11,C2), AbsWF($21,F3), Ctf3($06), ArpWF_($30,0) ;Default channel3 instrument-index after reset
Snare .byte Ctf3($1E), AbsWF($21,E4), AbsWF($11,C4), AbsWF($31,G3), AbsWF_($80,H6)
Arp   .byte SR($3C)
 MajArp .byte ArpWF($41,4), ArpWF($41,4), ArpWF($41,2), ArpWF($41,0), ArpWF($41,0), Jmp(MajArp)
Solo .byte SR($9C), AbsWF($81,H6), ArpWF($21,0), ArpWF_($20,0)




H6=0
C2=1
G2=2
C3=3
F3=4
G3=5
C4=6
D4=7
E4=8
F4=9
G4=10
A4=11
H4=12
C5=13

NoteTable  ;  0    1    2    3    4    5    6    7    8    9    10   11  12  13
        .byte h6,  c2,  g2,  c3,  f3,  g3,  c4,  d4,  e4,  f4,  g4,  a4, h4, c5

